## texlive-lang 2025.20250927

=== Makefile ===
#	pstops "4:0L@0.8(22.5cm,-0.6cm)+1L@0.8(22.5cm,13.3cm),2L@0.8(22.5cm,-0.6cm)+3L@0.8(22.5cm,13.3cm)" \
SHELL = /bin/sh
VERS = 6.4

OTHER = README CHANGES
FILES = src/biblio.tex src/math.tex src/things.tex src/contrib.tex src/lshort.sty src/mylayout.sty src/title.tex \
	src/custom.tex src/lshort.tex src/overview.tex src/typeset.tex src/lssym.tex src/spec.tex \
	src/lshort-base.tex src/lshort-letter.tex src/lshort-a5.tex src/graphic.tex src/appendix.tex

# Define some variables
LATEX=latex
PDFLATEX=xelatex
MAKEINDEX=makeindex
DVIPS=dvips

# The default targets
all: lshort.pdf lshort-letter.pdf lshort-a5.pdf

lulu: lshort-body.pdf lshort-title.pdf


lshort.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort&& $(PDFLATEX) lshort&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort&&$(PDFLATEX) lshort&& \
	(thumbpdf --resolution 10 lshort.pdf && $(PDFLATEX) lshort)&& \
	mv lshort.pdf .. )
	rm pdfbuild/*

lshort-body.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-body && $(PDFLATEX) lshort-body && \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-body &&$(PDFLATEX) lshort-body&& \
	mv lshort-body.pdf .. )
	rm pdfbuild/*

lshort-title.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-title && $(PDFLATEX) lshort-title && \
	mv lshort-title.pdf .. )
	rm pdfbuild/*

lshort-a5.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-a5&& $(PDFLATEX) lshort-a5&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-a5&&$(PDFLATEX) lshort-a5&& \
	(thumbpdf --resolution 10 lshort-a5.pdf && $(PDFLATEX) lshort-a5)&& \
	mv lshort-a5.pdf .. )
	rm pdfbuild/*

lshort-letter.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-letter&& $(PDFLATEX) lshort-letter&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-letter&&$(PDFLATEX) lshort-letter&& \
	(thumbpdf --resolution 10 lshort-letter.pdf && $(PDFLATEX) lshort-letter)&& \
	mv lshort-letter.pdf .. )
	rm pdfbuild/*

src/title.tex: Makefile fixdate.pl
	perl fixdate.pl $(VERS) < src/title.tex > src/title.tex2 && mv src/title.tex2 src/title.tex

quick: $(FILES)
	(TEXINPUTS=`pwd`/src:$(TEXINPUTS)&& export TEXINPUTS&& cd texbuild&& \
        $(LATEX) lshort&& mv lshort.dvi ..)


tar:	$(FILES)
	ln -s . lshort-$(VERS)
	tar -zcvf lshort-$(VERS).src.tar.gz `awk '{print "lshort-$(VERS)/"$$1}' MANIFEST`
	rm lshort-$(VERS)

rsync:  all tar
	echo press enter to rsync
	read x
	rsync  lshort-$(VERS).src.tar.gz CHANGES README lshort.pdf lshort-letter.pdf lshort-a5.pdf freddie:public_html/latex/

dist:   rsync
	-rm lshort-english
	ln -s . lshort-english
	zip lshort-$(VERS).zip lshort-english/lshort-$(VERS).src.tar.gz lshort-english/CHANGES lshort-english/README lshort-english/lshort.pdf lshort-english/lshort-letter.pdf lshort-english/lshort-a5.pdf
	-rm lshort-english
	echo upload lshort-$(VERS).zip to https://ctan.org/pkg/lshort-english

clean:
	rm -rf texbuild pdfbuild

=== source/latex_extras/Makefile ===
# Makefile for Sphinx LaTeX output
# Version modifiée spéciale pour FAQ LaTeX GUTenberg

# Additional LaTeX options (passed via variables in latexmkrc/latexmkjarc file)
export LATEXOPTS ?=
# Additional latexmk options
LATEXMKOPTS ?=
export XINDYOPTS = -L french -C utf8  -M sphinx.xdy

FAQ.commit: FORCE_MAKE
	@echo "DÉBUT"
	@date
	@git log -1 --pretty=format:'\def\faqGUTcommitdate{%ad}\def\faqGUTcommitsha{%h}' --date=format:"%d-%m-%Y %T" >FAQ.commit
	@git log -1 --pretty=format:'commit est %h et sa date est %ad' --date=format:"%d-%m-%Y %T"

# Faudrait-il utiliser -norc comme option des latexmk dans codedir ?
# Ou mieux avoir un latexmkrc plus complet (certains exemples nécessiteraient
# un passage de MetaFont).
FAQLaTeXGUTenberg.pdf: FAQ.commit
	@echo "???" >FAQ.nbexemples
	sed -i 's/RequirePackage{parskip}\[=v1\]/RequirePackage{parskip}/' sphinxlatexstylepage.sty
	@[ -d codedir ] || mkdir codedir
	@cp -f latexmkrc_pour_codedir codedir/latexmkrc
	@echo "-----"
	@echo "Logoïfication en cours, il n’y en a que pour quelques secondes."
	@date
	@time perl tex-logos-in-tex_gutfr.bin FAQLaTeXGUTenberg.tex >FAQLaTeXGUTenberg-with-logos.tex
	@echo "-----"
	@echo "Premier passage de lualatex-dev, tu peux te faire un café."
	@echo "On y va en batchmode, sinon c'est hypnotique."
	@date
	@time lualatex-dev -jobname FAQLaTeXGUTenberg -halt-on-error -interaction=batchmode \\let\\faqGUTdonotcomplain\\empty \\input FAQLaTeXGUTenberg-with-logos.tex || { status="$$?"; echo "lualatex-dev en erreur avec return status $$status"; echo "\033[1;31m"; tail -30 FAQLaTeXGUTenberg.log; echo "\033[0m"; echo ""; exit $$status; }
	@echo "-----"
	@echo "Production des -crop.pdf dans codedir et nettoyage des obsolètes."
	@echo "Tu peux aller te faire un deuxième café, et même carrément"
	@echo "laver tout ton linge, le sécher et le repasser si tu as fait"
	@echo "une mise à jour qui a changé des polices ou des formats..."
	@date
	@time /usr/bin/env bash fais-les-pdf-et-crop-les.sh
	@echo "-----"
	@echo "Bon ben maintenant on fait les compilations finales, troisième café."
	@echo "Ici aussi en batchmode pour éviter les crises d'épilepsie."
	@date
	@time latexmk -silent -pdflua -jobname=FAQLaTeXGUTenberg -lualatex="lualatex-dev -halt-on-error" $(LATEXMKOPTS) FAQLaTeXGUTenberg-with-logos.tex || { status="$$?"; echo "Latexmk en erreur avec return status $$status"; echo "\033[1;31m"; tail -30 FAQLaTeXGUTenberg.log; echo "\033[0m"; exit $$status; }
	@echo "-FIN-"

# make latexpdf cherche à faire la cible all-pdf par défaut
all-pdf: FAQLaTeXGUTenberg.pdf

# cette cible sauvegarde un FAQLaTeXGUTenberg.pdf déjà présent
SAUVE_CLAIR:
	@[ -f "FAQLaTeXGUTenberg.pdf" ] && { echo "Préservation du fichier FAQLaTeXGUTenberg.pdf préexistant."; mv FAQLaTeXGUTenberg.pdf FAQLaTeXGUTenberg-clair.pdf; } || rm -f FAQLaTeXGUTenberg-clair.pdf

pdfsombre: SAUVE_CLAIR FAQLaTeXGUTenberg.pdf
	mv FAQLaTeXGUTenberg.pdf FAQLaTeXGUTenberg-sombre.pdf
	@[ -f "FAQLaTeXGUTenberg-clair.pdf" ] && { echo "Restauration du fichier FAQLaTeXGUTenberg.pdf mode clair."; mv FAQLaTeXGUTenberg-clair.pdf FAQLaTeXGUTenberg.pdf; }
	@echo "Le fichier FAQLaTeXGUTenberg-sombre.pdf a été produit."

clean:
	rm -f *.log *.ind *.aux *.toc *.syn *.idx *.out *.ilg *.fls *.fdb_latexmk

.PHONY: all-pdf clean FORCE_MAKE SAUVE_CLAIR

=== texmf-dist/doc/latex/disser/Makefile ===
#
# Makefile for disser package
# Author: Stanislav Kruchinin <stanislav.kruchinin@gmail.com>
#

TARGET := disser
DTXFILES := $(TARGET) gost732
MANUAL := manual

CLSFILES := *.cls *.rtx
DOCFILES := $(addsuffix .pdf, $(DTXFILES) $(MANUAL))
TEXTFILES := ../README ../README.ru ../ChangeLog
SRCFILES := *.dtx $(TARGET).ins dtx.ist $(MANUAL).tex Makefile \
  nomake.cmd

TEXMF ?= /usr/share/texmf
DESTDIR ?= $(TEXMF)
CLSDIR ?= $(DESTDIR)/tex/latex/$(TARGET)
DOCDIR ?= $(DESTDIR)/doc/latex/$(TARGET)
SRCDIR ?= $(DESTDIR)/source/latex/$(TARGET)

CLEXT ?= *.aux *.toc *.idx *.ind *.ilg *.log *.out *.lof *.lot *.lol \
  *.bbl *.blg *.bak *.dvi *.ps *.pdf *.synctex *.synctex.gz
CLFILES ?= $(CLEXT) $(CLSFILES) $(BSTFILES)

LATEX ?= latex
PDFLATEX ?= pdflatex
MI ?= makeindex

LATEXFLAGS ?= --src-specials
PDFLATEXFLAGS ?= --shell-escape --synctex=1
MIFLAGS ?= -r -s dtx.ist

.PHONY: all package doc dvi pdf clean install uninstall reinstall help

all: package doc

package: $(TARGET).cls

doc: pdf

dvi: $(addsuffix .dvi, $(DTXFILES) $(MANUAL))

pdf: $(DOCFILES)

clean:
	-rm -f $(CLFILES)

install: all
	mkdir -p $(CLSDIR) ;\
	mkdir -p $(BSTDIR) ;\
	mkdir -p $(CSFDIR) ;\
	mkdir -p $(DOCDIR) ;\
	mkdir -p $(SRCDIR) ;\
	cp $(CLSFILES)  $(CLSDIR) ;\
	cp $(DOCFILES)  $(DOCDIR) ;\
	cp $(TEXTFILES) $(DOCDIR) ;\
	cp $(SRCFILES)  $(SRCDIR)

uninstall:
	-rm $(addprefix $(CLSDIR)/, $(CLSFILES))
	-rm $(addprefix $(DOCDIR)/, $(DOCFILES))
	-rm $(addprefix $(DOCDIR)/, $(notdir $(TEXTFILES)))
	-rm $(addprefix $(SRCDIR)/, $(SRCFILES))
	-rmdir $(CLSDIR)
	-rmdir $(DOCDIR)
	-rmdir $(SRCDIR)

reinstall: uninstall install

$(TARGET).dvi: $(TARGET).dtx
	$(LATEX) $(LATEXFLAGS) $<
	$(MI) $(MIFLAGS) $(TARGET)
	$(LATEX) $(LATEXFLAGS) $<
	$(LATEX) $(LATEXFLAGS) $<

$(TARGET).pdf: $(TARGET).dtx
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(MI) $(MIFLAGS) $(TARGET)
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(PDFLATEX) $(PDFLATEXFLAGS) $<

%.cls: %.ins
	$(LATEX) $^

%.dvi: %.dtx
	$(LATEX) $(LATEXFLAGS) $<
	$(LATEX) $(LATEXFLAGS) $<

%.dvi: %.tex
	$(LATEX) $(LATEXFLAGS) $<
	$(LATEX) $(LATEXFLAGS) $<

%.pdf: %.dtx
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(PDFLATEX) $(PDFLATEXFLAGS) $<

%.pdf: %.tex
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(PDFLATEX) $(PDFLATEXFLAGS) $<

help:
	@echo "  all        (default) build package and documentation" ;\
	 echo "  clean      remove output files" ;\
	 echo "  doc        alias for pdf target" ;\
	 echo "  dvi        build documentation in DVI format" ;\
	 echo "  help       show description of targets" ;\
	 echo "  install    install package and documentation" ;\
	 echo "  package    build package" ;\
	 echo "  pdf        build documentation in PDF format" ;\
	 echo "  reinstall  reinstall package and documentation" ;\
	 echo "  uninstall  uninstall package and documentation"

=== texmf-dist/doc/latex/latex-doc-ptr/Makefile ===
# Makefile
#  For latex-doc-ptr.
# 2020-Dec-31 Jim Hefferon

latex-doc-ptr.pdf: latex-doc-ptr.tex latex-doc-ptr.sty dash.sty
	pdflatex --file-line-error --interaction=nonstopmode $<

latex-doc-ptr.html: latex-doc-ptr.tex latex-doc-ptr.sty dash.sty
	make4ht latex-doc-ptr.tex 
	cp latex-doc-ptr.css.replacement latex-doc-ptr.css
        # Get subsections headers
	awk -f massage_html.awk <latex-doc-ptr.html > latex-doc-ptr-massaged.html 
	# Correct lost ligatures (all very fragile, but I can't grok tex4ht)
	sed -e 's/>\Wname\W</>name</' \
            -e 's/also available o\W*ine/also available offline/' \
	    -e 's/\W*nd them by/find them by/' \
	    -e 's/uno\W*cial reference/unofficial reference/' \
	    -e 's/Many web pages o\W*er quick help with/Many web pages offer quick help with/' \
	    -e 's/You are likely to \W*nd an answer/You are likely to find an answer/' \
	    -e 's/has the latest o\W*cial versions/has the latest official versions/' \
	    -e 's/If you have trouble \W*nding something/\n<p>If you have trouble finding something/' \
	    -e 's/any document containing signi\W*cant amounts of mathematics/any document containing significant amounts of mathematics/' \
	    -e 's/control \W*oating environments/control floating environments/' \
	    -e 's/override automatic \W*oat placement/override automatic float placement/' \
	    -e 's/cause issues \W what if/cause issues\&nbsp;\&mdash; what if/' \
	    -e 's/left? \W but it/left?\&nbsp;\&mdash; but it/' \
	    -e 's/and \W*le paths that can break/and file paths that can break/' \
	    -e 's/The \W*rst/The first/' \
	    -e 's/which lets you de\W*ne your own/which lets you define your own/' \
	    -e 's/scienti\W*c units,/scientific units,/' \
	    -e 's/often want to generate \W*ller text./often want to generate filler text./' \
	    -e 's/give the \W*le name without/give the file name without/' \
	    -e 's/lists of \W*gures/lists of figures/' \
	    -e 's/to an external \W*le/to an external file/' \
	    -e 's/via a completely di\W*erent/via a completely different/' \
	    -e 's/as \W*la-tech\W* or \W*lay-tech,\W*/as \&apos;la-tech\&apos; or \&apos;lay-tech\&apos;, /' \
	    -e 's/as as \Wla-tech\W or \Wlay-tech,\W apos;la-techas \Wla-tech\W or \Wlay-tech,\W apos; or as \Wla-tech\W or \Wlay-tech,\W apos;lay-techas \Wla-tech\W or \Wlay-tech,\W apos;,/as \&apos;la-tech&apos; or \&apos;lay-tech\&apos;, /' \
	    -e 's/We prefer the \Wrst,/We prefer the first,/' \
	    -e 's/the \Wrst syllable./the first syllable./'  \
            < latex-doc-ptr-massaged.html > latex-doc-ptr-massaged-ligs.html
	# Correct lost paragraphs inside subsections
	sed -e 's/Many people use/<p>&/' \
	    -e 's/If you have trouble/<p>&/' \
	    -e 's/As referred to above,/<p>&/' \
	    -e 's/Also, include/<p>&/' \
	    -e 's/Enhance captions/<p>&/' \
	    -e 's/Get hyperlinks/<p>&/' \
	    -e 's/Inside verbatim/<p>&/' \
	    -e 's/If you use Python,/<p>&/' \
	    -e 's/Make boxes that/<p>&/' \
	    -e 's/Use <a/<p>&/' \
	    -e 's/Finally, when/<p>&/' \
	    -e 's/To include/<p>&/' \
	    -e 's/In your plots/<p>&/' \
	    -e 's/For footnotes,/<p>&/' \
	    -e 's/Bibliographies are/<p>&/' \
	    -e 's/There are many/<p>&/' \
	    -e 's/To make presentations,/<p>&/' < latex-doc-ptr-massaged-ligs.html > latex-doc-ptr-massaged-pars.html
	# Correct misc
	sed -e 's/X  E </Xe</' \
	    -e 's/Books  <\/span><p>/Books  <\/span>/' \
	    -e 's/filler text. <p>/filler text. /' \
        < latex-doc-ptr-massaged-pars.html > latex-doc-ptr-massaged-misc.html
	# Bring it back to latex-doc-ptr.html
	cp latex-doc-ptr-massaged-misc.html latex-doc-ptr.html 
	rm latex-doc-ptr-massaged-ligs.html \
           latex-doc-ptr-massaged-pars.html \
           latex-doc-ptr-massaged-misc.html

all: latex-doc-ptr.pdf latex-doc-ptr.html

=== texmf-dist/doc/latex/macros2e/Makefile ===
.PHONY: doc clean

all: doc

doc: macros2e.pdf

macros2e.pdf: macros2e.tex
	pdflatex macros2e
	pdflatex macros2e
	pdflatex macros2e

clean:
	${RM} macros2e.pdf macros2e.aux macros2e.log macros2e.toc macros2e.out

=== texmf-dist/doc/plain/impatient/Makefile ===
# $Id: Makefile,v 1.2 2020/01/03 22:17:40 karl Exp $
# public domain
all: book.dvi book.pdf #book.html

book.dvi: *.tex
	texfot tex '\nonstopmode\input book'
book.pdf: *.tex
	texfot pdftex '\nonstopmode\input book'
book.html:
	httex book.tex

files = ChangeLog Makefile NEWS README *.icn \
	*.tex book.aux book.idx book.toc book.ccs book.sdx book.pdf \
	diffs cn fr artwork

dist = impatient
dist: all
	rm -f x.tex
	tar -czf $(dist).tar.gz --transform='s,^,$(dist)/,' $(files)
	tar tf $(dist).tar.gz | head -4

=== texmf-dist/doc/texlive/texlive-de/Makefile ===
include ../texlive-en/Makefile
doc = texlive-de

=== texmf-dist/doc/xetex/xetexref/Makefile ===
# Public domain. Simple Makefile for xetex-reference.

doc = xetex-reference.tex
default: pdf

pdf xetex-reference.pdf: $(doc)
	texfot xelatex --file-line-error -no-mktex=tfm '\nonstopmode\input $<'

tryfonts:
	xetex -no-mktex=tfm '\nonstopmode\input tryxefonts.tex'

spell:
	dw <$(doc) | grep -v ': a$$' || true
	myspell $(doc)

reldir = /usr/local/texlive/dev/texmf-dist/doc/xetex/xetexref/
diff dif df:
	-diff -u0 $(reldir)/xetex-reference.tex .

pkg = xetexref
dist:
	rm -rf $(pkg) $(pkg).zip
	mkdir $(pkg)
	ln -s ../Makefile ../README.txt ../$(doc) ../xetex-reference.pdf \
	      ../helpmsg.txt ../tryxefonts.tex \
	      $(pkg)
	zip -r $(pkg).zip $(pkg)
	rm -rf $(pkg)

=== texmf-dist/source/fonts/cjk-gs-integrate/Makefile ===
PROJECT=cjk-gs-integrate
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)

.PHONY: default install release
default: README.md


README.md: cjk-gs-integrate.pl
	perl cjk-gs-integrate.pl --markdown > README.md

install: README.md
	mkdir -p ${TEXMF}/doc/fonts/$(PROJECT)
	cp *.md ${TEXMF}/doc/fonts/$(PROJECT)/
	mkdir -p ${TEXMF}/scripts/$(PROJECT)
	cp *.pl ${TEXMF}/scripts/$(PROJECT)/
	mkdir -p ${TEXMF}/fonts/misc/$(PROJECT)
	cp database/*.dat ${TEXMF}/fonts/misc/$(PROJECT)/
	cp database/zrlistttc.lua ${TEXMF}/fonts/misc/$(PROJECT)/

release: README.md
	sh tools/release.sh

=== texmf-dist/source/generic/vntex/Makefile ===

default:
	tex vntex.ins

clean:
	rm -f *.{ldf,log,sty}

=== texmf-dist/source/latex/jlreq/Makefile ===
TEXMF:=$(shell kpsewhich -var-value=TEXMFHOME)
MAKEJVFCNF:=$(shell ls -R $(shell kpsewhich --var-value=TEXMFDIST)/fonts/source | awk '/:$$/{sub(/:$$/,"");f=$$0} tolower($$0) ~ /makejvf-upjpn\.cnf$$/{print f"/"$$0}' | head -n 1)

TFMS = jlreq.tfm bjlreq.tfm zjlreq.tfm bzjlreq.tfm \
	ujlreq.tfm ubjlreq.tfm uzjlreq.tfm ubzjlreq.tfm \
	ujlreq-q.tfm ubjlreq-q.tfm uzjlreq-q.tfm ubzjlreq-q.tfm \
	jlreqg.tfm bjlreqg.tfm zjlreqg.tfm bzjlreqg.tfm \
	ujlreqg.tfm ubjlreqg.tfm uzjlreqg.tfm ubzjlreqg.tfm \
	ujlreqg-q.tfm ubjlreqg-q.tfm uzjlreqg-q.tfm ubzjlreqg-q.tfm \
	jlreq-v.tfm bjlreq-v.tfm zjlreq-v.tfm bzjlreq-v.tfm \
	ujlreq-v.tfm ubjlreq-v.tfm uzjlreq-v.tfm ubzjlreq-v.tfm \
	jlreqg-v.tfm bjlreqg-v.tfm zjlreqg-v.tfm bzjlreqg-v.tfm \
	ujlreqg-v.tfm ubjlreqg-v.tfm uzjlreqg-v.tfm ubzjlreqg-v.tfm \
	jlreq-jidori.tfm jlreqg-jidori.tfm jlreq-v-jidori.tfm jlreqg-v-jidori.tfm \
	ujlreq-jidori.tfm ujlreqg-jidori.tfm ujlreq-v-jidori.tfm ujlreqg-v-jidori.tfm \
	ujlreq-jidori-q.tfm ujlreqg-jidori-q.tfm

VFS = jlreq.vf bjlreq.vf zjlreq.vf bzjlreq.vf \
	ujlreq.vf ubjlreq.vf uzjlreq.vf ubzjlreq.vf \
	ujlreq-q.vf ubjlreq-q.vf uzjlreq-q.vf ubzjlreq-q.vf \
	jlreqg.vf bjlreqg.vf zjlreqg.vf bzjlreqg.vf \
	ujlreqg.vf ubjlreqg.vf uzjlreqg.vf ubzjlreqg.vf \
	ujlreqg-q.vf ubjlreqg-q.vf uzjlreqg-q.vf ubzjlreqg-q.vf \
	jlreq-v.vf bjlreq-v.vf zjlreq-v.vf bzjlreq-v.vf \
	ujlreq-v.vf ubjlreq-v.vf uzjlreq-v.vf ubzjlreq-v.vf \
	jlreqg-v.vf bjlreqg-v.vf zjlreqg-v.vf bzjlreqg-v.vf \
	ujlreqg-v.vf ubjlreqg-v.vf uzjlreqg-v.vf ubzjlreqg-v.vf \
	jlreq-jidori.vf jlreqg-jidori.vf jlreq-v-jidori.vf jlreqg-v-jidori.vf \
	ujlreq-jidori.vf ujlreqg-jidori.vf ujlreq-v-jidori.vf ujlreqg-v-jidori.vf \
	ujlreq-jidori-q.vf ujlreqg-jidori-q.vf


.PHONY: all jfm doc latexdoc pdfdoc htmldoc jfm-install cls-install sty-install install tds uninstall jfmclean docclean clean

all: jfm

jfm: jfm-jlreqv.lua jfm-jlreqv-jidori.lua $(VFS) $(TFMS)
	
	rm -f rml.tfm rmlv.tfm gbm.tfm gbmv.tfm uprml-h.tfm uprml-hq.tfm upgbm-h.tfm upgbm-hq.tfm uprml-v.tfm uprml-vq.tfm upgbm-v.tfm upgbm-vq.tfm

# .pl
ujlreq-v.pl ubjlreq-v.pl uzjlreq-v.pl ubzjlreq-v.pl: u%-v.pl: jfm-%v-pl.lua luajfm2pl.lua
	texlua luajfm2pl.lua $*v-pl $@

jlreq-v.pl bjlreq-v.pl zjlreq-v.pl bzjlreq-v.pl: %-v.pl: jfm-%v-pl.lua luajfm2pl.lua
	texlua luajfm2pl.lua --noutf $*v-pl $@

ujlreq.pl ubjlreq.pl uzjlreq.pl ubzjlreq.pl: u%.pl: jfm-%-pl.lua luajfm2pl.lua
	texlua luajfm2pl.lua $*-pl $@

jlreq.pl bjlreq.pl zjlreq.pl bzjlreq.pl: %.pl: jfm-%-pl.lua luajfm2pl.lua
	texlua luajfm2pl.lua --noutf $*-pl $@

jlreq-jidori.pl: jfm-jlreq-jidori-pl.lua
	texlua luajfm2pl.lua --noutf jlreq-jidori-pl $@

jlreq-v-jidori.pl: jfm-jlreqv-jidori-pl.lua
	texlua luajfm2pl.lua --noutf jlreqv-jidori-pl $@

ujlreq-jidori.pl: jfm-jlreq-jidori-pl.lua
	texlua luajfm2pl.lua jlreq-jidori-pl $@

ujlreq-v-jidori.pl: jfm-jlreqv-jidori-pl.lua
	texlua luajfm2pl.lua jlreqv-jidori-pl $@


# .vf
ujlreqg-q.vf ubjlreqg-q.vf uzjlreqg-q.vf ubzjlreqg-q.vf: %.vf: %.tfm
	makejvf -i -u jisq $< upgbm-hq.tfm

ujlreq-q.vf ubjlreq-q.vf uzjlreq-q.vf ubzjlreq-q.vf: %.vf: %.tfm
	makejvf -i -u jisq $< uprml-hq.tfm

ujlreqg-v.vf ubjlreqg-v.vf uzjlreqg-v.vf ubzjlreqg-v.vf: %.vf: %.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} $< upgbm-v.tfm

ujlreqg.vf ubjlreqg.vf uzjlreqg.vf ubzjlreqg.vf: %.vf: %.tfm %-q.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} -H -U $*-q $< upgbm-h.tfm

jlreqg-v.vf bjlreqg-v.vf zjlreqg-v.vf bzjlreqg-v.vf: %.vf: %.tfm
	makejvf -i $< gbmv.tfm

jlreqg.vf bjlreqg.vf zjlreqg.vf bzjlreqg.vf: %.vf: %.tfm
	makejvf -i $< gbm.tfm

ujlreq-v.vf ubjlreq-v.vf uzjlreq-v.vf ubzjlreq-v.vf: %.vf: %.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} $< uprml-v.tfm

jlreq-v.vf bjlreq-v.vf zjlreq-v.vf bzjlreq-v.vf: %.vf: %.tfm
	makejvf -i $< rmlv.tfm

ujlreq.vf ubjlreq.vf uzjlreq.vf ubzjlreq.vf: %.vf: %.tfm %-q.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} -H -U $*-q $< uprml-h.tfm

jlreq.vf bjlreq.vf zjlreq.vf bzjlreq.vf: %.vf: %.tfm
	makejvf -i $< rml.tfm

jlreq-jidori.vf: jlreq-jidori.tfm
	makejvf  -i $< rml.tfm

jlreq-v-jidori.vf: jlreq-v-jidori.tfm
	makejvf  -i $< rmlv.tfm

jlreqg-jidori.vf: jlreqg-jidori.tfm
	makejvf  -i $< gbm.tfm

jlreqg-v-jidori.vf: jlreqg-v-jidori.tfm
	makejvf  -i $< gbmv.tfm

ujlreq-jidori-q.vf: ujlreq-jidori-q.tfm
	makejvf -i -u jisq $< uprml-hq.tfm

ujlreqg-jidori-q.vf: ujlreqg-jidori-q.tfm
	makejvf -i -u jisq $< upgbm-hq.tfm

ujlreq-jidori.vf: ujlreq-jidori.tfm ujlreq-jidori-q.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} -H -U ujlreq-jidori-q $< uprml-h.tfm

ujlreq-v-jidori.vf: ujlreq-v-jidori.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} -H $< uprml-v.tfm

ujlreqg-jidori.vf: ujlreqg-jidori.tfm ujlreqg-jidori-q.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} -H -U ujlreqg-jidori-q $< upgbm-h.tfm

ujlreqg-v-jidori.vf: ujlreqg-v-jidori.tfm
	makejvf -i -u custom -t ${MAKEJVFCNF} -H $< upgbm-v.tfm


# .tfm
ujlreq-q.tfm ubjlreq-q.tfm uzjlreq-q.tfm ubzjlreq-q.tfm: %-q.tfm: %.pl
	uppltotf -kanji=uptex $< $@

ujlreqg-q.tfm ubjlreqg-q.tfm uzjlreqg-q.tfm ubzjlreqg-q.tfm: %g-q.tfm: %-q.tfm
	cp $< $@

jlreqg-v.tfm bjlreqg-v.tfm zjlreqg-v.tfm bzjlreqg-v.tfm ujlreqg-v.tfm ubjlreqg-v.tfm uzjlreqg-v.tfm ubzjlreqg-v.tfm: %g-v.tfm: %-v.tfm
	cp $< $@

jlreqg.tfm bjlreqg.tfm zjlreqg.tfm bzjlreqg.tfm ujlreqg.tfm ubjlreqg.tfm uzjlreqg.tfm ubzjlreqg.tfm: %g.tfm: %.tfm
	cp $< $@

ujlreq.tfm ubjlreq.tfm uzjlreq.tfm ubzjlreq.tfm ujlreq-v.tfm ubjlreq-v.tfm uzjlreq-v.tfm ubzjlreq-v.tfm: %.tfm: %.pl
	uppltotf -kanji=uptex $< $@

jlreq.tfm bjlreq.tfm zjlreq.tfm bzjlreq.tfm jlreq-v.tfm bjlreq-v.tfm zjlreq-v.tfm bzjlreq-v.tfm: %.tfm: %.pl
	ppltotf -kanji=utf8 $< $@

ujlreq-jidori.tfm ujlreq-v-jidori.tfm: %.tfm: %.pl
	uppltotf -kanji=uptex $< $@

jlreq-jidori.tfm jlreq-v-jidori.tfm: %.tfm: %.pl
	ppltotf -kanji=utf8 $< $@

ujlreqg-jidori.tfm: ujlreq-jidori.tfm
	cp $< $@

ujlreqg-v-jidori.tfm: ujlreq-v-jidori.tfm
	cp $< $@

jlreqg-jidori.tfm: jlreq-jidori.tfm
	cp $< $@

jlreqg-v-jidori.tfm: jlreq-v-jidori.tfm
	cp $< $@

ujlreq-jidori-q.tfm: ujlreq-jidori.pl
	uppltotf -kanji=uptex $< $@

ujlreqg-jidori-q.tfm: ujlreq-jidori-q.tfm
	cp $< $@


jfm-jlreqv.lua jfm-jlreq-pl.lua jfm-bjlreq-pl.lua jfm-zjlreq-pl.lua jfm-bzjlreq-pl.lua jfm-jlreqv-pl.lua jfm-bjlreqv-pl.lua jfm-zjlreqv-pl.lua jfm-bzjlreqv-pl.lua jfm-jlreqv-jidori.lua jfm-jlreq-jidori-pl.lua jfm-jlreqv-jidori-pl.lua: make_variant_jfm.lua jfm-jlreq.lua jfm-jlreq-jidori.lua
	texlua make_variant_jfm.lua

doc: pdfdoc htmldoc

latexdoc: jlreq.tex jlreq-ja.tex

jlreq%tex: README%md README-template.tex
	pandoc --verbose -f gfm -t latex --pdf-engine=lualatex --template README-template.tex $< -o $@

pdfdoc: jlreq.pdf jlreq-ja.pdf

jlreq.pdf: README.md README-template.tex
	sed -e "s/\\[README-ja.md\\](README-ja.md)/[jlreq-ja.pdf](jlreq-ja.pdf)/" README.md | pandoc --verbose -f gfm -t latex --pdf-engine=lualatex --template README-template.tex -o $@

jlreq-ja.pdf: README-ja.md README-template.tex
	pandoc --verbose -f gfm -t latex --pdf-engine=lualatex --template README-template.tex $< -o $@

htmldoc: jlreq.html jlreq-ja.html jlreq-trimmarks.html jlreq-trimmarks-ja.html

jlreq-ja.html: README-ja.md README-template.html
	pandoc --verbose -f gfm -t html5 -V lang=ja -M title=jlreq --template README-template.html -o jlreq-ja.html README-ja.md

jlreq.html: README.md README-template.html
	sed -e "s/\\[README-ja.md\\](README-ja.md)/[jlreq-ja.html](jlreq-ja.html)/" README.md | pandoc --verbose -f gfm -t html5 -V lang=en -M title=jlreq --template README-template.html -o jlreq.html

jlreq-trimmarks-ja.html: jlreq-trimmarks-ja.md README-template.html
	pandoc --verbose -f gfm -t html5 -V lang=ja -M title=jlreq-trimmarks --template README-template.html -o jlreq-trimmarks-ja.html jlreq-trimmarks-ja.md

jlreq-trimmarks.html: jlreq-trimmarks.md README-template.html
	pandoc --verbose -f gfm -t html5 -V lang=en -M title=jlreq-trimmarks --template README-template.html -o jlreq-trimmarks.html jlreq-trimmarks.md


jfm-install: jfm
	mkdir -p ${TEXMF}/fonts/tfm/public/jlreq
	install ${TFMS} ${TEXMF}/fonts/tfm/public/jlreq
	mkdir -p ${TEXMF}/fonts/vf/public/jlreq
	install ${VFS} ${TEXMF}/fonts/vf/public/jlreq
	mkdir -p ${TEXMF}/tex/luatex/jlreq
	install jfm-jlreqv.lua jfm-jlreq.lua jfm-jlreq-jidori.lua jfm-jlreqv-jidori.lua ${TEXMF}/tex/luatex/jlreq

cls-install:
	mkdir -p ${TEXMF}/tex/latex/jlreq
	install jlreq-helpers.sty ${TEXMF}/tex/latex/jlreq
	install jlreq-complements.sty ${TEXMF}/tex/latex/jlreq
	install jlreq.cls ${TEXMF}/tex/latex/jlreq

sty-install:
	mkdir -p ${TEXMF}/tex/latex/jlreq
	install jlreq-trimmarks.sty ${TEXMF}/tex/latex/jlreq

install: jfm-install cls-install sty-install

tds: jfm jlreq.cls README.md README-ja.md LICENSE jlreq.html jlreq-ja.html jlreq-trimmarks.html jlreq-trimmarks-ja.html jlreq.pdf jlreq-ja.pdf
	mkdir -p ./tds/fonts/tfm/public/jlreq
	cp -f ${TFMS} ./tds/fonts/tfm/public/jlreq
	mkdir -p ./tds/fonts/vf/public/jlreq
	cp -f ${VFS} ./tds/fonts/vf/public/jlreq
	mkdir -p ./tds/tex/luatex/jlreq
	cp jfm-jlreq.lua ./tds/tex/luatex/jlreq
	cp jfm-jlreqv.lua ./tds/tex/luatex/jlreq
	cp jfm-jlreq-jidori.lua ./tds/tex/luatex/jlreq
	cp jfm-jlreqv-jidori.lua ./tds/tex/luatex/jlreq
	mkdir -p ./tds/tex/latex/jlreq
	cp jlreq.cls ./tds/tex/latex/jlreq
	cp jlreq-helpers.sty ./tds/tex/latex/jlreq
	cp jlreq-complements.sty ./tds/tex/latex/jlreq
	cp jlreq-trimmarks.sty ./tds/tex/latex/jlreq
	mkdir -p ./tds/doc/latex/jlreq
	cp README.md ./tds/doc/latex/jlreq
	cp README-ja.md ./tds/doc/latex/jlreq
	cp jlreq-trimmarks.md ./tds/doc/latex/jlreq
	cp jlreq-trimmarks-ja.md ./tds/doc/latex/jlreq
	cp LICENSE ./tds/doc/latex/jlreq
	cp jlreq.html ./tds/doc/latex/jlreq
	cp jlreq-ja.html ./tds/doc/latex/jlreq
	cp jlreq-trimmarks.html ./tds/doc/latex/jlreq
	cp jlreq-trimmarks-ja.html ./tds/doc/latex/jlreq
	cp jlreq.pdf ./tds/doc/latex/jlreq
	cp jlreq-ja.pdf ./tds/doc/latex/jlreq
	mkdir -p ./tds/source/latex/jlreq
	cp README-template.html ./tds/source/latex/jlreq
	cp README-template.tex ./tds/source/latex/jlreq
	cp Makefile ./tds/source/latex/jlreq
	cp make_variant_jfm.lua ./tds/source/latex/jlreq
	cp luajfm2pl.lua ./tds/source/latex/jlreq

uninstall:
	rm -rf ${TEXMF}/fonts/tfm/public/jlreq
	rm -rf ${TEXMF}/fonts/vf/public/jlreq
	rm -rf ${TEXMF}/tex/luatex/jlreq
	rm -rf ${TEXMF}/tex/latex/jlreq

jfmclean:
	rm -f *jlreq*.pl ${VFS} ${TFMS}
	rm -f jfm-jlreqv.lua
	rm -f jfm-*jlreq*-pl.lua
	rm -f jfm-jlreqv-jidori.lua

docclean:
	rm -f jlreq.tex jlreq.pdf jlreq.html jlreq-ja.tex jlreq-ja.pdf jlreq-ja.html jlreq-trimmarks.html jlreq-trimmarks-ja.html

clean: jfmclean docclean

=== texmf-dist/source/latex/mendex-doc/Makefile ===
DOCTARGET = mendex
PDFTARGET = $(addsuffix .pdf,$(DOCTARGET))
DVITARGET = $(addsuffix .dvi,$(DOCTARGET))
KANJI = -kanji=utf8
#FONTMAP = -f ipaex.map -f ptex-ipaex.map
FONTMAP = -f haranoaji.map -f ptex-haranoaji.map -f otf-haranoaji.map
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)
LTX = platex $(KANJI)
DPX = dvipdfmx $(FONTMAP)
MDX = mendex -U

default: $(DVITARGET)
all: $(PDFTARGET)

.SUFFIXES: .tex .dvi .pdf
.tex.dvi:
	$(MDX) -h 2>mendex-version.log
	$(LTX) $<
	$(MDX) mendex-sub
	mv mendex-sub.ind mendex-sub-0.ind
	$(MDX) -s jpbase mendex-sub
	mv mendex-sub.ind mendex-sub-1.ind
	$(MDX) -g -s jpbase mendex-sub
	mv mendex-sub.ind mendex-sub-2.ind
	$(MDX) -g -s jpbase -s mendex-sub-3 mendex-sub
	mv mendex-sub.ind mendex-sub-3.ind
	$(MDX) -g -s jpbase -s mendex-sub-4 mendex-sub
	mv mendex-sub.ind mendex-sub-4.ind
	$(MDX) -g -l -s jpbase mendex-sub
	mv mendex-sub.ind mendex-sub-5.ind
	$(LTX) $<
	$(LTX) $<
	rm -f *.aux *.log *.toc *.out *.idx *.ind *.ilg *-sub-*.ist
.dvi.pdf:
	$(DPX) $<

.PHONY: install clean
install:
	mkdir -p ${TEXMF}/doc/support/mendex
	cp ./LICENSE ${TEXMF}/doc/support/mendex/
	cp ./README* ${TEXMF}/doc/support/mendex/
	cp ./Makefile ${TEXMF}/doc/support/mendex/
	cp ./*.tex ${TEXMF}/doc/support/mendex/
	cp ./*.pdf ${TEXMF}/doc/support/mendex/
	mkdir -p ${TEXMF}/makeindex/mendex
	cp ./*.ist ${TEXMF}/makeindex/mendex/
clean:
	rm -f $(DVITARGET) $(PDFTARGET)

=== debian/changelog ===
texlive-lang (2025.20250927-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.
  * Kill apprendre-a-programmer-en-tex/fonts/libertine-legacy.zip
    from texlive-lang-french.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 27 Sep 2025 22:58:27 +0200

=== debian/control ===
Source: texlive-lang
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>, Hilmar Preuße <hille42@debian.org>
Build-Depends: debhelper-compat (= 13), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
Standards-Version: 4.5.1
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git [texlive-lang]
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin/tree/master/texlive-lang

Package: texlive-lang-arabic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2022.20220405), texlive-base (>= 2025.20250727), texlive-plain-generic (>= 2025.20250727)
Replaces: texlive-xetex (<< 2020.20200519)
Breaks: texlive-base (<< 2022.20220405), texlive-xetex (<< 2020.20200519)
Description: TeX Live: Arabic
 Support for Arabic and Persian.
 .
 This package includes the following CTAN packages:
 .
 alkalami -- A font for Arabic-based writing systems in Nigeria and Niger
 .
 alpha-persian -- Persian version of alpha.bst
 .
 amiri -- A classical Arabic typeface, Naskh style
 .
 arabi -- (La)TeX support for Arabic and Farsi, compliant with Babel
 .
 arabi-add -- Using hyperref and bookmark packages with arabic and farsi
 languages
 .
 arabic-book -- An Arabic book class
 .
 arabluatex -- ArabTeX for LuaLaTeX
 .
 arabtex -- Macros and fonts for typesetting Arabic
 .
 bidi -- Bidirectional typesetting in plain TeX and LaTeX, using XeTeX or
 LuaTeX
 .
 bidihl -- Experimental bidi-aware text highlighting
 .
 dad -- Simple typesetting system for mixed Arabic/Latin documents
 .
 ghab -- Typeset ghab boxes in LaTeX
 .
 hvarabic -- Macros for RTL typesetting
 .
 hyphen-arabic -- (No) Arabic hyphenation patterns.
 .
 hyphen-farsi -- (No) Persian hyphenation patterns.
 .
 imsproc -- Typeset IMS conference proceedings
 .
 iran-bibtex -- Iran Manual of Style Citation Guide for BibTeX
 .
 khatalmaqala -- Arabic font for university articles
 .
 kurdishlipsum -- A 'lipsum' package for the Kurdish language
 .
 lshort-persian -- Persian (Farsi) introduction to LaTeX
 .
 luabidi -- Bidi functions for LuaTeX
 .
 mohe-book -- Typeset authored, translated, and research books according to
 mohe rules
 .
 na-box -- Arabic-aware version of pas-cours package
 .
 parsimatn -- Contemporary Persian font for scientific and formal writings
 .
 parsinevis -- "Scheherazade New" adapted for Persian typesetting and
 scientific writings
 .
 persian-bib -- Persian translations of classic BibTeX styles
 .
 quran -- An easy way to typeset any part of The Holy Quran
 .
 sexam -- Package for typesetting arabic exam scripts
 .
 simurgh -- Typeset Parsi in LuaLaTeX
 .
 texnegar -- Kashida justification in XeLaTeX and LuaLaTeX
 .
 tram -- Typeset tram boxes in LaTeX
 .
 xepersian -- Persian for LaTeX, using LuaTeX or XeTeX
 .
 xepersian-hm -- Fixes kashida feature in xepersian package
 .
 xindy-persian -- Support for the Persian language in xindy

Package: texlive-lang-cjk
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2022.20220405), texlive-base (>= 2025.20250727), texlive-binaries (>= 2025.20250727), texlive-latex-base (>= 2025.20250727)
Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
Replaces: texlive-xetex (<< 2021.20220204)
Breaks: texlive-base (<< 2022.20220405), texlive-xetex (<< 2021.20220204)
Description: TeX Live: Chinese/Japanese/Korean (base)
 Packages supporting a combination of Chinese, Japanese, Korean, including 
 macros, fonts, documentation. Also Thai in the c90 encoding, since there is 
 some overlap in those fonts; standard Thai support is in 
 collection-langother. Additional packages for CJK are in their individual 
 language collections.
 .
 This package includes the following CTAN packages:
 .
 c90 -- c90 font encoding for Thai
 .
 cjk-gs-integrate -- Tools to integrate CJK fonts into Ghostscript
 .
 cjkpunct -- Adjust locations and kerning of CJK punctuation marks
 .
 evangelion-jfm -- A Japanese font metric supporting many advanced features
 .
 fixjfm -- Fix JFM (for *pTeX)
 .
 garuda-c90 -- TeX support (from CJK) for the garuda font
 .
 jfmutil -- Utility to process pTeX-extended TFM and VF
 .
 norasi-c90 -- TeX support (from CJK) for the norasi font
 .
 pxtatescale -- Patch to graphics driver for scaling in vertical direction of
 pTeX
 .
 xcjk2uni -- Convert CJK characters to Unicode, in pdfTeX
 .
 xecjk -- Support for CJK documents in XeLaTeX
 .
 zitie -- Create CJK character calligraphy practicing sheets
 .
 zxjafont -- Set up Japanese font families for XeLaTeX

Package: texlive-lang-korean
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2022.20220405), texlive-binaries (>= 2025.20250727), texlive-lang-cjk (>= 2025.20250727)
Conflicts: ko.tex-bin
Provides: ko.tex
Breaks: texlive-base (<< 2022.20220405)
Description: TeX Live: Korean
 Support for Korean; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 baekmuk -- Baekmuk Korean TrueType fonts
 .
 cjk-ko -- Extension of the CJK package for Korean typesetting
 .
 kotex-oblivoir -- A LaTeX document class for typesetting Korean documents
 .
 kotex-plain -- Macros for typesetting Korean under Plain TeX
 .
 kotex-utf -- Typeset Hangul, coded in UTF-8
 .
 kotex-utils -- Utility scripts and support files for typesetting Korean
 .
 lshort-korean -- Korean introduction to LaTeX
 .
 nanumtype1 -- Type1 subfonts of Nanum Korean fonts
 .
 pmhanguljamo -- Poor man's Hangul Jamo input method
 .
 uhc -- Fonts for the Korean language
 .
 unfonts-core -- TrueType version of Un-fonts
 .
 unfonts-extra -- TrueType version of Un-fonts

Package: texlive-lang-chinese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2022.20220405), texlive-lang-cjk (>= 2025.20250727)
Breaks: texlive-base (<< 2022.20220405)
Description: TeX Live: Chinese
 Support for Chinese; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 arphic-ttf -- TrueType version of Chinese Arphic fonts
 .
 asymptote-by-example-zh-cn -- Asymptote by example
 .
 asymptote-faq-zh-cn -- Asymptote FAQ (Chinese translation)
 .
 asymptote-manual-zh-cn -- A Chinese translation of the asymptote manual
 .
 cns -- Chinese/Japanese/Korean bitmap fonts
 .
 ctex -- LaTeX classes and packages for Chinese typesetting
 .
 ctex-faq -- LaTeX FAQ by the Chinese TeX Society (ctex.org)
 .
 exam-zh -- LaTeX template for Chinese exams
 .
 fandol -- Four basic fonts for Chinese typesetting
 .
 fduthesis -- LaTeX thesis template for Fudan University
 .
 hanzibox -- Boxed Chinese characters with Pinyin above and translation below
 .
 hyphen-chinese -- Chinese pinyin hyphenation patterns.
 .
 impatient-cn -- Free edition of the book "TeX for the Impatient"
 .
 install-latex-guide-zh-cn -- A short introduction to LaTeX installation
 written in Chinese
 .
 latex-notes-zh-cn -- Chinese Introduction to TeX and LaTeX
 .
 lshort-chinese -- Introduction to LaTeX, in Chinese
 .
 nanicolle -- Typesetting herbarium specimen labels
 .
 njurepo -- Reports for Nanjing University
 .
 pgfornament-han -- pgfornament library for Chinese traditional motifs and
 patterns
 .
 qyxf-book -- Book Template for Qian Yuan Xue Fu
 .
 sjtutex -- LaTeX classes for Shanghai Jiao Tong University
 .
 suanpan-l3 -- Traditional Chinese 7-bids suanpan (abacus) package based on
 l3draw
 .
 texlive-zh-cn -- TeX Live manual (Chinese)
 .
 texproposal -- A proposal prototype for LaTeX promotion in Chinese
 universities
 .
 tlmgr-intro-zh-cn -- A short tutorial on using tlmgr in Chinese
 .
 upzhkinsoku -- Supplementary Chinese kinsoku for Unicode *pTeX
 .
 xpinyin -- Automatically add pinyin to Chinese characters
 .
 xtuthesis -- XTU thesis template
 .
 zhlineskip -- Line spacing for CJK documents
 .
 zhlipsum -- Chinese dummy text
 .
 zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX
 .
 zhmetrics-uptex -- Chinese font metrics for upTeX
 .
 zhnumber -- Typeset Chinese representations of numbers
 .
 zhspacing -- Spacing for mixed CJK-English documents in XeTeX

Package: texlive-lang-japanese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ruby, texlive-base (>= 2022.20220405), texlive-binaries (>= 2025.20250727), texlive-lang-cjk (>= 2025.20250727)
Conflicts: ptex-jisfonts
Recommends: fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, texlive-latex-recommended
Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
Suggests: fonts-noto-cjk-extra
Replaces: mendexk, texlive-binaries (<< 2024)
Breaks: texlive-base (<< 2022.20220405), texlive-binaries (<< 2024), texlive-extra-utils (<< 2023.20230613)
Description: TeX Live: Japanese
 Support for Japanese; additional packages are in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 ascmac -- Boxes and picture macros with Japanese vertical writing support
 .
 asternote -- Annotation symbols enclosed in square brackets and marked with
 an asterisk
 .
 babel-japanese -- Babel support for Japanese
 .
 bxbase -- BX bundle base components
 .
 bxcjkjatype -- Typeset Japanese with pdfLaTeX and CJK
 .
 bxcoloremoji -- Use color emojis more conveniently
 .
 bxghost -- Ghost insertion for proper xkanjiskip
 .
 bxjaholiday -- Support for Japanese holidays
 .
 bxjalipsum -- Dummy text in Japanese
 .
 bxjaprnind -- Adjust the position of parentheses at paragraph head
 .
 bxjatoucs -- Convert Japanese character code to Unicode
 .
 bxjscls -- Japanese document class collection for all major engines
 .
 bxorigcapt -- To retain the original caption names when using Babel
 .
 bxwareki -- Convert dates from Gregorian to Japanese calender
 .
 chuushaku -- Flexible book notes in Japanese
 .
 convbkmk -- Correct platex/uplatex bookmarks in PDF created with hyperref
 .
 convert-jpfonts -- Convert half-width Japanese to full-width beautifully
 .
 endnotesj -- Japanese-style endnotes
 .
 gckanbun -- Kanbun typesetting for (u)pLaTeX and LuaLaTeX
 .
 gentombow -- Generate Japanese-style crop marks
 .
 haranoaji -- Harano Aji Fonts
 .
 haranoaji-extra -- Harano Aji Fonts
 .
 ieejtran -- Unofficial bibliography style file for the Institute of
 Electrical Engineers of Japan
 .
 ifptex -- Check if the engine is pTeX or one of its derivatives
 .
 ifxptex -- Detect pTeX and its derivatives
 .
 ipaex -- IPA (Japanese) fonts
 .
 japanese-mathformulas -- Compiling basic math formulas in Japanese using
 LuaLaTeX
 .
 japanese-otf -- Advanced font selection for platex and its friends
 .
 jieeetran -- UnofficiaL BibTeX style for citing Japanese articles in IEEE
 format
 .
 jlreq -- Japanese document class based on requirements for Japanese text
 layout
 .
 jlreq-deluxe -- Multi-weight Japanese font support for the jlreq class
 .
 jpneduenumerate -- Enumerative expressions in Japanese education
 .
 jpnedumathsymbols -- Mathematical equation representation in Japanese
 education
 .
 jsclasses -- Classes tailored for use with Japanese
 .
 kanbun -- Typeset kanbun-kundoku with support for kanbun annotation
 .
 lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e
 .
 luatexja -- Typeset Japanese with Lua(La)TeX
 .
 mendex-doc -- Documentation for Mendex index processor
 .
 morisawa -- Enables selection of 5 standard Japanese fonts for pLaTeX +
 dvips
 .
 outoruby -- Ruby with line break support for Japanese text
 .
 pbibtex-base -- Bibliography styles and miscellaneous files for pBibTeX
 .
 pbibtex-manual -- Documentation files for (u)pBibTeX
 .

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-lang

PACKAGES=texlive-lang-arabic texlive-lang-cjk texlive-lang-korean texlive-lang-chinese texlive-lang-japanese texlive-lang-cyrillic texlive-lang-czechslovak texlive-lang-english texlive-lang-european texlive-lang-french texlive-lang-german texlive-lang-greek texlive-lang-italian texlive-lang-other texlive-lang-polish texlive-lang-portuguese texlive-lang-spanish
METAPACKAGES=texlive-lang-all

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:

	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done


	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  bash debian/useless-fix-perl-shebang-for-policy $$i ; \
	  find debian/$i/usr/share -name \*.jar -exec chmod ugo-x '{}' \; ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done


	# move ltx-help.el into emacs directory
	mkdir -p debian/texlive-lang-english/usr/share/emacs/site-lisp
	mv debian/texlive-lang-english/usr/share/doc/texlive-doc/latex/latex2e-help-texinfo/ltx-help.el \
		debian/texlive-lang-english/usr/share/emacs/site-lisp
	# link pfb/afm files (type1 fonts) into /usr/share/fonts


	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	#dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	# we create the format links via the texlive-lang-czechslovak.links
	# file, since otherwise dh_installtex boils out as several formats
	# with different engines have the same name
	dh_installtex -p texlive-lang-czechslovak --flavor=tree:texlive,format:no_links
	dh_installtex -N texlive-lang-czechslovak --flavor=tree:texlive

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	dh_installmime
	dh_lintian
	dh_link

	# we want to have ptex and uptex as links in
	# texlive-binaries and not in texlive-lang-japanese, remove them here
	# and add them via dh_link in texlive-binaries
	# this is just out of history, would be nicer to have changed
	rm debian/texlive-lang-japanese/usr/bin/ptex
	rm debian/texlive-lang-japanese/usr/bin/uptex
	rm debian/texlive-lang-japanese/usr/bin/eptex

	dh_strip_nondeterminism
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# remove x bit from jar files
	find debian/texlive-*/usr/share/texlive -name \*.jar -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -- -Zxz


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof

## texlive-lang 2025.20251127

=== debian/changelog ===
texlive-lang (2025.20251127-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 29 Nov 2025 15:35:21 +0100

=== debian/control ===
--- 
+++ 
@@ -328,7 +328,7 @@
  .
  japanese-otf -- Advanced font selection for platex and its friends
  .
- jieeetran -- UnofficiaL BibTeX style for citing Japanese articles in IEEE
+ jieeetran -- Unofficial BibTeX style for citing Japanese articles in IEEE
  format
  .
  jlreq -- Japanese document class based on requirements for Japanese text
@@ -349,6 +349,9 @@
  .
  luatexja -- Typeset Japanese with Lua(La)TeX
  .
+ luwa-ul -- Provides underlines and other highlighting which can be used in
+ vertical mode
+ .
  mendex-doc -- Documentation for Mendex index processor
  .
  morisawa -- Enables selection of 5 standard Japanese fonts for pLaTeX +
@@ -356,7 +359,3 @@
  .
  outoruby -- Ruby with line break support for Japanese text
  .
- pbibtex-base -- Bibliography styles and miscellaneous files for pBibTeX
- .
- pbibtex-manual -- Documentation files for (u)pBibTeX
- .

## texlive-lang 2025.20260124

=== debian/changelog ===
texlive-lang (2025.20260124-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.

 -- Hilmar Preuße <hille42@debian.org>  Sun, 25 Jan 2026 20:35:38 +0100

=== debian/control ===
--- 
+++ 
@@ -38,6 +38,8 @@
  .
  arabtex -- Macros and fonts for typesetting Arabic
  .
+ awami -- A collection of Awami Nastaliq fonts
+ .
  bidi -- Bidirectional typesetting in plain TeX and LaTeX, using XeTeX or
  LuaTeX
  .
@@ -215,6 +217,10 @@
  .
  lshort-chinese -- Introduction to LaTeX, in Chinese
  .
+ luatex-cn -- A LuaTeX based package to handle Chinese text typesetting
+ .
+ lxgw-fonts -- A CJK font family with a comprehensive character set
+ .
  nanicolle -- Typesetting herbarium specimen labels
  .
  njurepo -- Reports for Nanjing University
@@ -354,8 +360,3 @@
  .
  mendex-doc -- Documentation for Mendex index processor
  .
- morisawa -- Enables selection of 5 standard Japanese fonts for pLaTeX +
- dvips
- .
- outoruby -- Ruby with line break support for Japanese text
- .
